HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.DeleteCustomersCustomerSubscriptionsSubscriptionExposedIdDiscount

Contains the different functions to run the operation deleteCustomersCustomerSubscriptionsSubscriptionExposedIdDiscount

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourceDeleteCustomersCustomerSubscriptionsSubscriptionExposedIdDiscount.hs
valuedeleteCustomersCustomerSubscriptionsSubscriptionExposedIdDiscount
  1. :: MonadHTTP m
  2. => DeleteCustomersCustomerSubscriptionsSubscriptionExposedIdDiscountParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response DeleteCustomersCustomerSubscriptionsSubscriptionExposedIdDiscountResponse)

    Monadic computation which returns the result of the operation

#
DELETE /v1/customers/{customer}/subscriptions/{subscription_exposed_id}/discount

<p>Removes the currently applied discount on a customer.</p>

Defines the object schema located at paths./v1/customers/{customer}/subscriptions/{subscription_exposed_id}/discount.DELETE.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation deleteCustomersCustomerSubscriptionsSubscriptionExposedIdDiscount.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), DeleteCustomersCustomerSubscriptionsSubscriptionExposedIdDiscountResponseError is used.

Instances2Eq, Show